<?php header("Access-Control-Allow-Origin: *");
  header("Access-Control-Allow-Headers: *");  

  header('Content-Type: application/json');

  $json = file_get_contents('php://input');
  $obj = json_decode($json, true);

  include '../db/connectMe.php';   
  include '../function/function.php';  

  // (C) GENERATE JWT TOKEN
  require "../vendor/autoload.php";
  use Firebase\JWT\JWT;

  // (A) NO data
  if (!isset($_GET["c"]) ) {

    $error = array('certDetails' => 'something went wrong');
    exit( json_encode($error) ); 

  }

  if( AuthorizeMe(@substr(getallheaders()["Authorization"], 7)) ){

    $jwt = substr(getallheaders()["Authorization"], 7);

    //Decoding data
    $decodeToken = (json_decode(base64_decode(str_replace('_', '/', str_replace('-','+',explode('.', $jwt)[1]))))->data);

    if(!isset($decodeToken)){

      exit(json_encode(array("error" => "unauthorised") ));

    }
    //view certificate information

    if (@$_GET['c'] != "" ) {

      @$certId = mysql_prep($_GET['c']);

      $certInfo = find_certificate_by_id($certId); 

      if(!isset($certInfo)){

        $error = array('certDetails' => 'something went wrong');

        exit(json_encode($error));

      }



      //certificate details
      $certificate = array("certDetails" => $certInfo);

      exit(json_encode($certificate));



    }  


  }else{

    exit(json_encode(array("error" => "unauthorised") ));


  }

